Problème

Au cours de l’installation d’AEM6.2 SP1, cette erreur survient dans le fichier error.log :

Could not Install Package
"javax.jcr.nodetype.ConstraintViolationException: OakConstraint0001: /etc/cloudsettings/default/contexthub[[nt:folder]]: No matching definition found for child node relatedproducts with effective type [nt:unstructured]"

Cause

Le type de nœud du dossier /etc/cloudsettings/default/contexthub (nt:folder) est incompatible avec les modifications incluses dans le Service Pack.

Résolution

Avant d’installer SP1, procédez comme suit :

  1. Accédez à http://aem-host:port/crx/packmgr/index.jsp.

  2. Créez un module de sauvegarde pour /etc/cloudsettings/default/contexthub.

  3. Accédez à l’application web http://aem-host:port/crx/de/index.jsp.

  4. Recherchez et supprimez le fichier /etc/cloudsettings/default/contexthub.

  5. Enregistrer

  6. Installez SP1
    .

  7. Appliquez de nouveau toutes les modifications personnalisées apportées à la configuration par défaut contexthub.

Gravité

Gravité 2

Message indiqué

javax.jcr.nodetype.ConstraintViolationException: OakConstraint0001: /etc/cloudsettings/default/contexthub[[nt:folder]]: No matching definition found for child node relatedproducts with effective type [nt:unstructured]

Ce produit est distribué sous licence Creative Commons Attribution - Pas d’utilisation commerciale - Partage à l’identique 3.0 non transposé  Les publications Twitter™ et Facebook ne sont pas couvertes par les dispositions Creative Commons.

Mentions légales   |   Politique de confidentialité en ligne